# Copyright (C) 2023 Maxwell G <maxwell@gtmx.me>
# Copyright (C) Fedora Project Authors
# SPDX-License-Identifier: MIT
# License text: https://spdx.org/licenses/MIT

%global forgeurl https://github.com/ansible/ansible-navigator

Name:           ansible-navigator
Version:        3.4.2
%forgemeta
Release:        1%{?dist}
Summary:        A text-based user interface (TUI) for Ansible

License:        Apache-2.0
URL:            https://ansible-navigator.readthedocs.io/
Source:         %{forgesource}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  ansible-core
Requires:       ansible-core

%description
ansible-navigator provides a text-based user interface (TUI) for Ansible.


%prep
%autosetup -p1 %{forgesetupargs}
# Remove dependencies not needed in Fedora
sed -i '/tzdata/d' .config/requirements.in


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files ansible_navigator


%check
# The tests cannot run in an isolated mock chroot
%pyproject_check_import


%files -f %{pyproject_files}
# Note(gotmax23): Yes, pyproject_save_files and setuptools already handle
# this automatically, but I don't rely on it, as it makes it too easy to
# miss licenses when upstream changes their build system or something else.
%license LICENSE
%doc README.md docs/*.md
%{_bindir}/ansible-navigator


%changelog
* Tue Aug 15 2023 Maxwell G <maxwell@gtmx.me> - 3.4.2-1
- Initial package.
